Package ru.bitel.oss.kernel.job.common.bean

# Class JobTrigger

java.lang.Object
ru.bitel.oss.kernel.job.common.bean.JobTrigger

public class JobTrigger extends Object
Триггер для job'a. По сути момент в будущем, когда необходимо сработать и выполнить какое-то действие.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final short`
  `TYPE_CALENDAR`
  `static final short`
  `TYPE_SIMPLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobTrigger()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getData()`
  `long`
  `getFireCount()`
  `Date`
  `getFireTimeNext()`
  `Date`
  `getFireTimePrev()`
  `long`
  `getId()`
  `long`
  `getJobId()`
  `Date`
  `getTimeFrom()`
  `Date`
  `getTimeTo()`
  `short`
  `getType()`
  `long`
  `getVersion()`
  `boolean`
  `isPersistent()`
  `JobTrigger`
  `setData(String data)`
  `JobTrigger`
  `setFireCount(long fireCount)`
  `JobTrigger`
  `setFireTimeNext(Date fireTimeNext)`
  `JobTrigger`
  `setFireTimePrev(Date fireTimePrev)`
  `JobTrigger`
  `setId(long id)`
  `JobTrigger`
  `setJobId(long jobId)`
  `JobTrigger`
  `setPersistent(boolean persistent)`
  `JobTrigger`
  `setTimeFrom(Date timeFrom)`
  `JobTrigger`
  `setTimeTo(Date timeTo)`
  `JobTrigger`
  `setType(short type)`
  `JobTrigger`
  `setVersion(long version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_SIMPLE

    public static final short TYPE_SIMPLE
    See Also:
      - Constant Field Values

  - ### TYPE_CALENDAR

    public static final short TYPE_CALENDAR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### JobTrigger

    public JobTrigger()

- ## Method Details

  - ### getId

    public long getId()

  - ### setId

    public JobTrigger setId(long id)

  - ### getJobId

    public long getJobId()

  - ### setJobId

    public JobTrigger setJobId(long jobId)

  - ### getTimeFrom

    public Date getTimeFrom()

  - ### setTimeFrom

    public JobTrigger setTimeFrom(Date timeFrom)

  - ### getTimeTo

    public Date getTimeTo()

  - ### setTimeTo

    public JobTrigger setTimeTo(Date timeTo)

  - ### isPersistent

    public boolean isPersistent()

  - ### setPersistent

    public JobTrigger setPersistent(boolean persistent)

  - ### getType

    public short getType()

  - ### setType

    public JobTrigger setType(short type)

  - ### getData

    public String getData()

  - ### setData

    public JobTrigger setData(String data)

  - ### getFireTimePrev

    public Date getFireTimePrev()

  - ### setFireTimePrev

    public JobTrigger setFireTimePrev(Date fireTimePrev)

  - ### getFireTimeNext

    public Date getFireTimeNext()

  - ### setFireTimeNext

    public JobTrigger setFireTimeNext(Date fireTimeNext)

  - ### getFireCount

    public long getFireCount()

  - ### setFireCount

    public JobTrigger setFireCount(long fireCount)

  - ### getVersion

    public long getVersion()

  - ### setVersion

    public JobTrigger setVersion(long version)